aboutsummaryrefslogtreecommitdiffstats
path: root/dpdk-tests/dpdk_scripts/run_l2fwd.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-02-03 11:26:37 +0100
committerPeter Mikus <pmikus@cisco.com>2017-02-07 09:18:18 +0000
commitf6cf39c515f503f367df441924fd16967d518539 (patch)
tree0f2ab990e56b6eabd85845394f413f7ab4f6d8aa /dpdk-tests/dpdk_scripts/run_l2fwd.sh
parent90471d126d7d6910e1430ab4417d42a659288c61 (diff)
CSIT-517: DPDK initialization and teardown
Change-Id: Iff42549e3be610c88b7a7d5518ef2cbb88c75ed2 Signed-off-by: Tibor Frank <tifrank@cisco.com>
Diffstat (limited to 'dpdk-tests/dpdk_scripts/run_l2fwd.sh')
-rwxr-xr-xdpdk-tests/dpdk_scripts/run_l2fwd.sh27
1 files changed, 18 insertions, 9 deletions
diff --git a/dpdk-tests/dpdk_scripts/run_l2fwd.sh b/dpdk-tests/dpdk_scripts/run_l2fwd.sh
index 6df33a1317..dedabe1872 100755
--- a/dpdk-tests/dpdk_scripts/run_l2fwd.sh
+++ b/dpdk-tests/dpdk_scripts/run_l2fwd.sh
@@ -12,17 +12,26 @@ queue_nums=$3
jumbo_frames=$4
#kill the testpmd
-sudo pkill testpmd
-sudo rm -f ${TESTPMD_PID}
-
-sleep 2
-
-pid=`pgrep testpmd`
-if [ "$pid" != "" ]; then
- echo "terminate the testpmd failed!"
- exit 1
+sudo pgrep testpmd
+if [ $? -eq "0" ]; then
+ success=false
+ sudo pkill testpmd
+ for attempt in {1..5}; do
+ sudo pgrep testpmd
+ if [ $? -eq "1" ]; then
+ success=true
+ break
+ fi
+ sleep 1
+ done
+ if [ ${success} -eq false ]; then
+ echo "The command sudo pkill testpmd failed"
+ exit 1
+ fi
fi
+sudo rm -f ${TESTPMD_PID}
+
#run the testpmd
cd ${ROOTDIR}
if [ "$jumbo_frames" = "yes" ]; then